Subject: Re: [PATCH v2 3/8] builtin/pack-objects.c: add '--stdin-packs' option

From: Jeff King <[email-masked]>
Date: Wed, 17 Feb 2021 14:21:26 -0500

On Wed, Feb 17, 2021 at 01:59:08PM -0500, Taylor Blau wrote:

> > > +		if (rev_list_unpacked)
> > > +			add_unreachable_loose_objects();
> >
> > Despite the name, that function is adding both reachable and unreachable
> > ones. So it is doing what you want. It might be worth renaming, but it's
> > not too big a deal since it's local to this file.
> 
> Yeah, I tend to err on the side of "it's fine as-is" since this isn't
> exposed outside of pack-objects internals. If you feel strongly I'm
> happy to change it, but I suspect you don't.

Yeah, I don't feel strongly (and if we did change it, it should be in a
separate patch anyway).

-Peff